#include "mainwindowimp.h"
#include <kcmodule.h> 
#include <qlayout.h>

class NetworkSettingsModule : public KCModule {
public:
  NetworkSettingsModule( QWidget* parent = 0, const char* name = 0) : KCModule(parent, name) {
    setButtons(KCModule::Ok /*|KCModule::Help*/);
    window = new MainWindowImp(this, "MainWindow");
    (new QGridLayout( this, 1, 1, 0, 0, "Layout"))->addWidget(window, 0, 0 );
  };

private:
  MainWindowImp *window;
};

extern "C" 
{
  KDE_EXPORT KCModule *create_knetworksettings(QWidget *parent, const char *name)
  {
    return new NetworkSettingsModule(parent, name);
  }
}

